.table-scroll {
  display: block;
  empty-cells: show;
  border: 1px solid #b1b1b1;
  border-radius: 6px;
  border-spacing: 4px;
  overflow: hidden;
  thead {
    // background-color: #dedede;
    position: relative;
    display: block;
    width: 100%;
    padding-left: 8px;
    padding-right: 16px;
  }
  tbody {
    max-height: 440px;
    display: block;
    position: relative;
    width: 100%;
    overflow-y: scroll;
    &:not(:empty){
      border-top: 1px solid #b1b1b1;
    }
    &::-webkit-scrollbar {
      width: 8px;
      height: 8px;
    }
    &::-webkit-scrollbar-track {
      box-shadow: inset 0 0 3px 1px rgba(169, 169, 169, 0.11);
    }
    &::-webkit-scrollbar-thumb {
      background-color: #dedede;
      outline: 1px solid slategrey;
    }

    tr {
      width: calc(100% - 16px);
      display: flex;
      margin: 8px;
      background: #fff;
      box-shadow: 0 4px 8px rgba(0, 0, 0, 0.025);
      border-radius: 6px;

      &:nth-of-type(odd) {
        background-color: #ffffff;
        border: 1px solid #f7f7f7;
      }
      &:nth-of-type(even) {
        background-color: #f7f7f7;
        border: 1px solid #efefef;
      }
    }
  }
  tr {
    width: 100%;
    display: flex;
  }
  td,
  th {
    flex-basis: 100%;
    flex-grow: 1;
    display: flex;
    align-items: center;
    padding: 12px;
    text-align: left;
    position: relative;
    overflow: hidden;
    white-space: nowrap;
    max-width: 100%;
    text-overflow: ellipsis;

    &:not(:last-child) {
      &::after {
        content: "";
        position: absolute;
        width: 1px;
        height: 25px;
        background-color: #b1b1b1;
        right: 0;
        top: 50%;
        transform: translateY(-50%);
      }
    }
  }
}
